Bug 33561 - [Android] JavaClass uses JSC-specific types
Summary: [Android] JavaClass uses JSC-specific types
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Android Android
: P2 Normal
Assignee: Steve Block
URL:
Keywords:
Depends on: 33819
Blocks: 32154
  Show dependency treegraph
 
Reported: 2010-01-12 16:58 PST by Steve Block
Modified: 2010-01-19 13:54 PST (History)
3 users (show)

See Also:


Attachments
Patch 1 for Bug 33561 (25.62 KB, patch)
2010-01-12 17:15 PST, Steve Block
no flags Details | Formatted Diff | Diff
Patch 2 for Bug 33561 (27.43 KB, patch)
2010-01-18 06:41 PST, Steve Block
abarth: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Block 2010-01-12 16:58:43 PST
JavaClass, defined in WebCore/bridge/jni/jni_class.h, uses JSC-specific types. This causes problems on Android, where we can build with JSC or V8. See
Bug 32154, which this bug blocks.

The JSC-specific version of JavaClass should be moved a different location, so that the other common code can be used for both JSC and V8.
Comment 1 Steve Block 2010-01-12 17:15:24 PST
Created attachment 46415 [details]
Patch 1 for Bug 33561

A later patch will add a version of JavaClass for V8.
Comment 2 Steve Block 2010-01-18 06:41:02 PST
Created attachment 46819 [details]
Patch 2 for Bug 33561

Corrects naming of JavaClassJSC.[cpp|h]
Comment 3 WebKit Review Bot 2010-01-18 06:45:38 PST
Attachment 46819 [details] did not pass style-queue:

Failed to run "WebKitTools/Scripts/check-webkit-style" exit_code: 1
Last 3072 characters of output:
he left side of the line instead of the right side.  [whitespace/operators] [4]
WebCore/bridge/jni/jsc/JavaClassJSC.cpp:127:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
WebCore/bridge/jni/jsc/JavaClassJSC.cpp:128:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
WebCore/bridge/jni/jsc/JavaClassJSC.cpp:128:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
WebCore/bridge/jni/jsc/JavaClassJSC.cpp:129:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
WebCore/bridge/jni/jsc/JavaClassJSC.cpp:129:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
WebCore/bridge/jni/jsc/JavaClassJSC.cpp:130:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
WebCore/bridge/jni/jsc/JavaClassJSC.cpp:130:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
WebCore/bridge/jni/jsc/JavaClassJSC.cpp:131:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
WebCore/bridge/jni/jsc/JavaClassJSC.cpp:131:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
WebCore/bridge/jni/jsc/JavaClassJSC.cpp:132:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
WebCore/bridge/jni/jsc/JavaClassJSC.cpp:137:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
WebCore/bridge/jni/jsc/JavaClassJSC.cpp:142:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
WebCore/bridge/jni/jsc/JavaClassJSC.h:40:  Extra space before ( in function call  [whitespace/parens] [4]
WebCore/bridge/jni/jsc/JavaClassJSC.h:41:  Extra space before ( in function call  [whitespace/parens] [4]
WebCore/bridge/jni/jsc/JavaClassJSC.h:52:  _fields is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
WebCore/bridge/jni/jsc/JavaClassJSC.h:53:  _methods is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Skipping input 'WebCore/bridge/jni/jni_class.h': Can't open for reading
Skipping input 'WebCore/bridge/jni/jni_class.cpp': Can't open for reading
Total errors found: 25


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Steve Block 2010-01-18 06:47:23 PST
(In reply to comment #3)
> Attachment 46819 [details] did not pass style-queue:
Will fix style in moved code in a separate patch
Comment 5 Adam Barth 2010-01-18 09:57:45 PST
Comment on attachment 46819 [details]
Patch 2 for Bug 33561

lgtm
Comment 6 Steve Block 2010-01-18 17:23:33 PST
Landed manually in http://trac.webkit.org/changeset/53443

Have opened Bug 33819 to fix style in moved code.
Comment 7 Steve Block 2010-01-19 13:54:34 PST
Style is now fixed

Closing bug as resolved.